alias \
    cp='cp -iv' \
    mv='mv -iv' \
    nf="clear && fastfetch" \
    emoji="cat ~/.local/share/emoji | grep \$1" \
    cst="emacs ~/.config/st/config.h" \
    ll="ls -hl" \
    l="ls -lh" \
    la="ls -ahl" \
    smi="nvidia-smi" \
    srczsh="source ~/.zshrc" \
    battery="sb-battery" \
    bat="sb-battery" \
    quit="exit" \
    :q="exit" \
    push="git push" \
    weather="curl wttr.in/masjedsoleyman" \
    las="ls" \
    la="ls -a" \
    c="clear" \
    cear="clear" \
    cd..="cd .." \
    ..='echo "cd .."; cd ../' \
    claer="clear" \
    clare="clear" \
    cleae="clear" \
    clera="clear" \
    hotp="htop" \
    copykey='cat ~/.local/share/vault1.key | xclip -sel clipboard' \
    mic="micro" \
    nx="nsxiv" \
    v="vi" \
    neofetch="fastfetch"
    queue="mpc add /"
    top="btop"
    htop="btop"
    nwr="newsraft"

grep --color=auto < /dev/null &>/dev/null && alias grep='grep --color=auto'
export PATH="$HOME/.local/bin:$PATH"
export PATH="/usr/pkg/sbin:/usr/pkg/bin:$PATH"
export PATH="$PATH:/home/coast/.spicetify"
export MANPATH="/usr/pkg/man:$MANPATH"
export XDG_DATA_DIRS="/var/lib/flatpak/exports/share:$HOME/.local/share/flatpak/exports/share:/usr/local/share:/usr/share"
export EDITOR="emacs"
export EIX_LIMIT=0
fpath=(~/.zsh/completions $fpath)

lsbind() {
  print -P "\n"
  ls
  zle reset-prompt
}
zle -N lsbind
bindkey '^S' lsbind
stty -ixon
